Subject: Add dae and or fbx art pipeline
Description

To my current understanding the Ryzom project supports only .max files. While this is a good and tested art/animation pipeline, it is in
a large way a limitation, especially for an opensource project. My feature request is to open up the pipeline to other less proprietary
formats such as dae and fbx. I myself will be studying the code to see what can be done to achieve this and if I produce something
useful I will share my findings with the community, as I believe a more open pipeline could only further this awesome project.

History
#1 - 05/11/2010 10:30 am - kervala

Yes, we are planning to use COLLADA formats which will enable to export from any 3D editor to COLLADA and then convert COLLADA to NeL
formats.

#2 - 05/15/2010 11:08 pm - RBrian

Progress so far-

i'm able to use opencollada to get the mesh data out of 3dsmax. However, material data didn't export. Next step is to modify the opencollada plugin to
include NeL-specific data.

#3 - 05/17/2010 03:21 pm - vl
- Priority changed from Normal to Low

#4 - 03/02/2012 10:49 pm - kaetemi

http://assimp.sourceforge.net/
http://dev.ryzom.com/projects/ryzom/wiki/Pipeline_3D_Export_Tool_Requirements

#5 - 04/12/2012 08:19 pm - kaetemi
- Category changed from Tools: Level Editor to Tools: Build Gamedata
http://assimp.sourceforge.net/
http://dev.ryzom.com/projects/ryzom/wiki/Pipeline_3D_Export_Tool_Requirements

